#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1
%define with_otr 0

Name:           kopete
Summary:        KDE Internet Messenger
Group:          Networking/Instant messaging
URL:  http://www.kde.org/applications/internet/kopete/
Version: 4.11.4
Release:        %mkrel %{rel}
Epoch:          3
License:        GPLv2 LGPLv2 GFDL
Source0:        ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz
# fwang: Patch from kde bug tracker #318825
Patch0:		kopete-4.10.97-mediastreamer-2.9.0.patch

BuildRequires:  kdepimlibs4-devel >= 2:%{version}
BuildRequires:  pkgconfig(ortp)
BuildRequires:  pkgconfig(libidn)
BuildRequires:  pkgconfig(libxslt)
%if %with_otr
# Comment out the build with libotr due to libotr updated to 5.0 see kde #306276
BuildRequires:  pkgconfig(libotr)
%endif
BuildRequires:  pkgconfig(libmsn)
BuildRequires:  pkgconfig(linphone)
BuildRequires:  pkgconfig(meanwhile)
BuildRequires:  pkgconfig(libgadu)
BuildRequires:  pkgconfig(libv4l2)
BuildRequires:  pkgconfig(qimageblitz)
BuildRequires:  jasper-devel
BuildRequires:  expat-devel
BuildRequires:  jsoncpp-devel
BuildRequires:  srtp >= 1.4.5


Conflicts:      kdenetwork4-core < 3:4.5.72
Conflicts:      kdenetwork4-devel < 3:4.6.95
Requires:       akonadi >= 1:1.1.95
Requires:       qca2-plugin-openssl-%{_lib}
Requires:       kdepimlibs4-core >= 2:%{version}
Requires:       jasper
Suggests:       kopete-handbook


%description
Kopete is a flexible and extendable multiple protocol instant messaging
system designed as a plugin-based system.

All protocols are plugins and allow modular installment, configuration,
and usage without the main application knowing anything about the plugin
being loaded.

The goal of Kopete is to provide users with a standard and easy to use
interface for all of their instant messaging systems, but at the same
time also providing developers with the ease of writing plugins to support
new protocols.

The core Kopete development team provides a handful of plugins that most
users can use, in addition to templates for new developers to base a plugin
off of.

%files
%{_kde_appsdir}/kconf_update/kopete-*
%{_kde_bindir}/googletalk-call
%{_kde_bindir}/kopete
%{_kde_bindir}/kopete_latexconvert.sh
%{_kde_bindir}/winpopup-install
%{_kde_bindir}/winpopup-send
%{_kde_libdir}/kde4/kcm_kopete_*
%{_kde_libdir}/kde4/kopete_*
%{_kde_libdir}/libqgroupwise.so
%{_kde_libdir}/kde4/libchattexteditpart.so
%{_kde_libdir}/kde4/plugins/accessible/chatwindowaccessiblewidgetfactory.so
%{_kde_applicationsdir}/kopete.desktop
%{_kde_datadir}/config/kopeterc
%{_kde_datadir}/config.kcfg/historyconfig.kcfg
%{_kde_datadir}/config.kcfg/kopeteappearancesettings.kcfg
%{_kde_datadir}/config.kcfg/kopetebehaviorsettings.kcfg
%{_kde_datadir}/config.kcfg/latexconfig.kcfg
%{_kde_datadir}/config.kcfg/nowlisteningconfig.kcfg
%{_kde_datadir}/config.kcfg/webpresenceconfig.kcfg
%{_kde_datadir}/config.kcfg/translatorconfig.kcfg
%{_kde_datadir}/config.kcfg/kopetestatussettings.kcfg
%if %with_otr
%{_kde_datadir}/config.kcfg/kopete_otr.kcfg
%{_kde_appsdir}/kopete_otr
%{_kde_iconsdir}/*/*/actions/mail-encrypt.*
%{_kde_iconsdir}/*/*/status/object-locked-finished.*
%{_kde_iconsdir}/*/*/status/object-locked-unverified.*
%{_kde_iconsdir}/*/*/status/object-locked-verified.*
%endif
%{_datadir}/dbus-1/interfaces/org.kde.Kopete.xml
%{_datadir}/dbus-1/interfaces/org.kde.kopete.Client.xml
%{_datadir}/dbus-1/interfaces/org.kde.kopete.Statistics.xml
%{_kde_services}/aim.protocol
%{_kde_services}/chatwindow.desktop
%{_kde_services}/emailwindow.desktop
%{_kde_services}/kconfiguredialog/kopete_*
%{_kde_services}/kopete_*
%{_kde_services}/xmpp.protocol
%{_kde_services}/callto.protocol
%{_kde_services}/skype.protocol
%{_kde_services}/tel.protocol
%{_kde_servicetypes}/kopete*
%{_kde_datadir}/sounds/Kopete_Event.ogg
%{_kde_datadir}/sounds/Kopete_Received.ogg
%{_kde_datadir}/sounds/Kopete_Sent.ogg
%{_kde_datadir}/sounds/Kopete_User_is_Online.ogg
%{_kde_appsdir}/kopete
%{_kde_appsdir}/kopete_contactnotes
%{_kde_appsdir}/kopete_history
%{_kde_appsdir}/kopete_jabber
%{_kde_appsdir}/kopete_wlm
%{_kde_appsdir}/kopete_privacy
%{_kde_appsdir}/kopete_statistics
%{_kde_appsdir}/kopete_translator
%{_kde_appsdir}/kopete_yahoo
%{_kde_appsdir}/kopete_groupwise
%{_kde_appsdir}/kopete_skype
%{_kde_appsdir}/kopeterichtexteditpart
%{_kde_appsdir}/kopete_history2/history2chatui.rc
%{_kde_appsdir}/kopete_history2/history2ui.rc
%{_kde_iconsdir}/*/*/actions/account_offline_overlay.*
%{_kde_iconsdir}/*/*/actions/contact_away_overlay.*
%{_kde_iconsdir}/*/*/actions/contact_busy_overlay.*
%{_kde_iconsdir}/*/*/actions/contact_food_overlay.*
%{_kde_iconsdir}/*/*/actions/contact_invisible_overlay.*
%{_kde_iconsdir}/*/*/actions/contact_phone_overlay.*
%{_kde_iconsdir}/*/*/actions/contact_xa_overlay.*
%{_kde_iconsdir}/*/*/actions/emoticon.*
%{_kde_iconsdir}/*/*/actions/im-status-message-edit.*
%{_kde_iconsdir}/*/*/actions/metacontact_unknown.*
%{_kde_iconsdir}/*/*/actions/newmessage.*
%{_kde_iconsdir}/*/*/actions/status_unknown_overlay.*
%{_kde_iconsdir}/*/*/actions/status_unknown.*
%{_kde_iconsdir}/*/*/actions/view-user-offline-kopete.*
%{_kde_iconsdir}/*/*/actions/voicecall.*
%{_kde_iconsdir}/*/*/actions/webcamreceive.*
%{_kde_iconsdir}/*/*/actions/webcamsend.*
%{_kde_iconsdir}/*/*/apps/kopete-offline.*
%{_kde_iconsdir}/*/*/apps/kopete.*
%{_kde_datadir}/config.kcfg/urlpicpreview.kcfg
%{_kde_libdir}/mozilla/plugins/skypebuttons.so
%{_kde_datadir}/config.kcfg/history2config.kcfg
%exclude %{_kde_libdir}/kde4/kcm_kopete_latex.*
%exclude %{_kde_libdir}/kde4/kopete_latex.*
%exclude %{_kde_datadir}/kde4/services/kopete_latex.desktop
%exclude %{_kde_datadir}/config.kcfg/latexconfig.kcfg
%exclude %{_kde_bindir}/kopete_latexconvert.sh
%exclude %{_kde_datadir}/kde4/services/kconfiguredialog/kopete_latex_config.desktop
%exclude %{_kde_appsdir}/kopete/icons/oxygen/32x32/apps/latex.png

#------------------------------------------------------------------------------

%package -n kopete-handbook
Summary: Kopete Handbook
Conflicts: kopete < 3:4.7.1
Requires:  kopete >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation

%description -n kopete-handbook
This package provides kopete handbook

%files -n kopete-handbook
%doc  %{_kde_docdir}/HTML/en/kopete

#------------------------------------------------------------------------------

%package -n kopete-latex
Group:          Graphical desktop/KDE
Summary:        Kopete latex plugin for writing and reading mesages in latex
Requires:       kopete = %{epoch}:%{version}
Requires:       imagemagick
Obsoletes:   kopete-kopete-latex < 3:4.7.1

%description -n kopete-latex
Kopete latex plugin for writing and reading messages in latex.

%files -n kopete-latex
%{_kde_appsdir}/kopete_latex
%{_kde_libdir}/kde4/kcm_kopete_latex.*
%{_kde_libdir}/kde4/kopete_latex.*
%{_kde_services}/kopete_latex.desktop
%{_kde_datadir}/config.kcfg/latexconfig.kcfg
%{_kde_bindir}/kopete_latexconvert.sh
%{_kde_services}/kconfiguredialog/kopete_latex_config.desktop
%{_kde_appsdir}/kopete/icons/oxygen/32x32/apps/latex.png

#------------------------------------------------------------------------------

%define major_kopetecontactlist 1
%define libkopetecontactlist %mklibname kopetecontactlist %{major_kopetecontactlist}

%package -n   %libkopetecontactlist
Summary:      Runtime library for Kopete
Group:        System/Libraries

%description -n %libkopetecontactlist
Runtime library for Kopete.

%files -n %libkopetecontactlist
%{_kde_libdir}/libkopetecontactlist.so.%{major_kopetecontactlist}*

#------------------------------------------------------------------------------

%define major_kyahoo 1
%define libkyahoo %mklibname kyahoo %{major_kyahoo}

%package -n %libkyahoo
Summary:        Runtime library for Kopete
Group:          System/Libraries

%description -n %libkyahoo
Runtime library for Kopete providing support for the Yahoo Instant Messenger
protocol.

%files -n %libkyahoo
%{_kde_libdir}/libkyahoo.so.%{major_kyahoo}*

#------------------------------------------------------------------------------

%define major_kopete_videodevice 4
%define libkopete_videodevice %mklibname kopete_videodevice %{major_kopete_videodevice}

%package -n %libkopete_videodevice
Summary:        Runtime Library for Kopete
Group:          System/Libraries

%description -n %libkopete_videodevice
Runtime Library for Kopete providing video support.

%files -n %libkopete_videodevice
%{_kde_libdir}/libkopete_videodevice.so.%{major_kopete_videodevice}*

#------------------------------------------------------------------------------

%define major_kopeteaddaccountwizard 1
%define libkopeteaddaccountwizard %mklibname kopeteaddaccountwizard %{major_kopeteaddaccountwizard}

%package -n %libkopeteaddaccountwizard
Summary:      Runtime library for Kopete
Group:        System/Libraries

%description -n %libkopeteaddaccountwizard
Runtime library for Kopete.

%files -n %libkopeteaddaccountwizard
%{_kde_libdir}/libkopeteaddaccountwizard.so.%{major_kopeteaddaccountwizard}*

#------------------------------------------------------------------------------

%define major_kopete 4
%define libkopete %mklibname kopete %{major_kopete}

%package -n %libkopete
Summary:       Runtime library for Kopete
Group:         System/Libraries

%description -n %libkopete
Runtime library for Kopete

%files -n %libkopete
%{_kde_libdir}/libkopete.so.%{major_kopete}*

#------------------------------------------------------------------------------

%define major_kopeteprivacy 1
%define libkopeteprivacy %mklibname kopeteprivacy %{major_kopeteprivacy}

%package -n %libkopeteprivacy
Summary:       Runtime library for Kopete
Group:         System/Libraries

%description -n %libkopeteprivacy
Runtime library for Kopete.

%files -n %libkopeteprivacy
%{_kde_libdir}/libkopeteprivacy.so.%{major_kopeteprivacy}*

#------------------------------------------------------------------------------

%define major_kopetechatwindow_shared 1
%define libkopetechatwindow_shared %mklibname kopetechatwindow_shared %{major_kopetechatwindow_shared}

%package -n %libkopetechatwindow_shared
Summary:        Runtime library for Kopete
Group:          System/Libraries

%description -n %libkopetechatwindow_shared
Runtime library for Kopete.

%files -n %libkopetechatwindow_shared
%{_kde_libdir}/libkopetechatwindow_shared.so.%{major_kopetechatwindow_shared}*


#------------------------------------------------------------------------------
%if %with_otr
%define major_kopete_otr_shared 1
%define libkopete_otr_shared %mklibname kopete_otr_shared %{major_kopete_otr_shared}

%package -n %libkopete_otr_shared
Summary:        Runtime library for Kopete
Group:          System/Libraries

%description -n %libkopete_otr_shared
Runtime library for Kopete.

%files -n %libkopete_otr_shared
%{_kde_libdir}/libkopete_otr_shared.so.%{major_kopete_otr_shared}*
%endif

#------------------------------------------------------------------------------

%define major_kopetestatusmenu 1
%define libkopetestatusmenu %mklibname kopetestatusmenu %{major_kopetestatusmenu}

%package -n %libkopetestatusmenu
Summary:        Runtime library for Kopete
Group:          System/Libraries

%description -n %libkopetestatusmenu
Runtime library for Kopete.

%files -n %libkopetestatusmenu
%{_kde_libdir}/libkopetestatusmenu.so.%{major_kopetestatusmenu}*

#------------------------------------------------------------------------------

%define major_kopete_oscar 4
%define libkopete_oscar %mklibname kopete_oscar %{major_kopete_oscar}

%package -n %libkopete_oscar
Summary:        KDE Runtime library for Kopete
Group:          System/Libraries

%description -n %libkopete_oscar
KDE Runtime library for Kopete providing support for the OSCAR (Open System for
Communication in Realtime) protocol.

%files -n %libkopete_oscar
%{_kde_libdir}/libkopete_oscar.so.%{major_kopete_oscar}*

#------------------------------------------------------------------------------

%define major_liboscar 1
%define liboscar %mklibname oscar %{major_liboscar}

%package -n %liboscar
Summary:        Runtime library providing OSCAR protocol support
Group:          System/Libraries

%description -n %liboscar
Runtime library providing support for the OSCAR (Open System for Communication
in Realtime) protocol.

%files -n %liboscar
%{_kde_libdir}/liboscar.so.%{major_liboscar}*

#------------------------------------------------------------------------------

%define major_kopeteidentity 1
%define libkopeteidentity %mklibname kopeteidentity %{major_kopeteidentity}

%package -n %libkopeteidentity
Summary:        Runtime library for Kopete
Group:          System/Libraries

%description -n %libkopeteidentity
Runtime library for Kopete

%files -n %libkopeteidentity
%{_kde_libdir}/libkopeteidentity.so.%{major_kopeteidentity}*



#------------------------------------------------------------------------------

%package devel
Summary:        Devel stuff for %{name}
Group:          Development/KDE and Qt
Requires:       %libkopetecontactlist = %{epoch}:%{version}
Requires:       %libkyahoo = %{epoch}:%{version}
Requires:       %libkopete_videodevice = %{epoch}:%{version}
Requires:       %libkopeteaddaccountwizard = %{epoch}:%{version}
Requires:       %libkopete = %{epoch}:%{version}
Requires:       %libkopeteprivacy = %{epoch}:%{version}
Requires:       %libkopetechatwindow_shared = %{epoch}:%{version}
Requires:       %libkopete_oscar = %{epoch}:%{version}
Requires:       %liboscar = %{epoch}:%{version}
%if %with_otr
Requires:       %libkopete_otr_shared = %{epoch}:%{version}
%endif
Requires:       %libkopeteidentity = %{epoch}:%{version}
Requires:       %libkopetestatusmenu = %{epoch}:%{version}

Conflicts: kdenetwork4-devel < 3:4.10.80

%description  devel
This package contains header files needed if you wish to build applications
based on %{name}.

%files devel
%{_kde_libdir}/*.so
%exclude %{_kde_libdir}/libqgroupwise.so
%{_kde_includedir}/kopete

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold
%cmake_kde4 -DKDE4_ENABLE_FINAL=OFF
%make

%install
%makeinstall_std -C build


%changelog
* Wed Dec 04 2013 lmenut <lmenut> 3:4.11.4-1.mga4
+ Revision: 555023
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 3:4.11.3-1.mga4
+ Revision: 551295
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 3:4.11.2-2.mga4
+ Revision: 540469
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 3:4.11.2-1.mga4
+ Revision: 490848
- Update tarball to KDE SC 4.11.2

* Sat Sep 28 2013 lmenut <lmenut> 3:4.11.1-2.mga4
+ Revision: 488643
- rebuild with fixed rpm (missing suggests tags)

* Mon Sep 09 2013 mikala <mikala> 3:4.11.1-1.mga4
+ Revision: 476921
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 3:4.11.0-1.mga4
+ Revision: 465317
- Update tarball to KDE SC 4.11.0

* Mon Jul 29 2013 fwang <fwang> 3:4.10.97-2.mga4
+ Revision: 460506
- add gtalk-call binary
- bump req for updated struct in srtp
- add patch from kde bug tracker to build with recent mediastreamer
- rebuild for updated jsoncpp

* Sat Jul 27 2013 lmenut <lmenut> 3:4.10.97-1.mga4
+ Revision: 458941
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 3:4.10.95-1.mga4
+ Revision: 455327
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1
- Fix files list

* Fri Jun 28 2013 mikala <mikala> 3:4.10.90-1.mga4
+ Revision: 448035
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- imported package kopete

  + lmenut <lmenut>
    - Add missing conflicts

